Package org.jboss.modules

# Class ResourceLoaderSpec

java.lang.Object
org.jboss.modules.ResourceLoaderSpec

public final class ResourceLoaderSpec extends Object
A specification of a resource loader within a module. A resource loader may optionally be associated with a path filter which can be used to decide which paths of a resource loader to include.

Author:
  David M. Lloyd

## Method Summary

Modifier and Type
Method
Description
`static ResourceLoaderSpec`
`createResourceLoaderSpec(ResourceLoader resourceLoader)`
Construct a new instance which accepts all paths in the resource loader.
`static ResourceLoaderSpec`
`createResourceLoaderSpec(ResourceLoader resourceLoader, PathFilter pathFilter)`
Construct a new instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createResourceLoaderSpec

public static ResourceLoaderSpec createResourceLoaderSpec(ResourceLoader resourceLoader, PathFilter pathFilter)
Construct a new instance.

Parameters:
  `resourceLoader` - the resource loader to include
  `pathFilter` - the path filter to apply to the resource loader's paths
Returns:
  the specification

### createResourceLoaderSpec

public static ResourceLoaderSpec createResourceLoaderSpec(ResourceLoader resourceLoader)
Construct a new instance which accepts all paths in the resource loader.

Parameters:
  `resourceLoader` - the resource loader to include
Returns:
  the specification